"use strict";

exports.__esModule = true;
exports.rowHeaderScrollStrategy = rowHeaderScrollStrategy;
var _utils = require("../utils");
/**
 * Scroll strategy for row header selection.
 *
 * @param {Core} hot Handsontable instance.
 * @returns {function(): function(CellCoords): void}
 */
function rowHeaderScrollStrategy(hot) {
  return cellCoords => {
    const scrollRowTarget = (0, _utils.createScrollTargetCalculator)(hot).getComputedRowTarget(cellCoords);
    hot.scrollViewportTo({
      row: scrollRowTarget
    }, () => {
      const hasRowHeaders = !!hot.getSettings().rowHeaders;
      (0, _utils.scrollWindowToCell)(hot.getCell(scrollRowTarget, hasRowHeaders ? -1 : 0, true));
    });
  };
}